// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#include "SCW_UK2Node_SetFieldsInStruct.h"
#include "K2Node_SetFieldsInStruct.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UK2Node_SetFieldsInStruct::SCW_UK2Node_SetFieldsInStruct(UK2Node_SetFieldsInStruct* InK2Node_SetFieldsInStruct) : SCW_UK2Node_MakeStruct(InK2Node_SetFieldsInStruct), K2Node_SetFieldsInStruct(InK2Node_SetFieldsInStruct)
{

}

UK2Node_SetFieldsInStruct* SCW_UK2Node_SetFieldsInStruct::ToUK2Node_SetFieldsInStruct() const
{
	return K2Node_SetFieldsInStruct;
}

ISCW_UK2Node_SetFieldsInStructPtr SCW_UK2Node_SetFieldsInStruct::ToUK2Node_SetFieldsInStructPtr()
{
	return GetSharedThisAs<SCW_UK2Node_SetFieldsInStruct>();
}

ISCW_UK2Node_SetFieldsInStructConstPtr SCW_UK2Node_SetFieldsInStruct::ToUK2Node_SetFieldsInStructPtr() const
{
	return GetSharedThisAs<SCW_UK2Node_SetFieldsInStruct>();
}